/*
 * TestApplet.java
 *
 * Created on 11. Juli 2002, 20:02
 */

package net.metadiversity.diversity.navigator.applet;

import org.w3c.dom.*;                // Core DOM classes
import org.w3c.dom.traversal.*;      // TreeWalker and related DOM classes
import org.apache.xerces.parsers.*;  // Apache Xerces parser classes
import org.xml.sax.*;                // Xerces DOM parser uses some SAX classes
import javax.swing.*;                // Swing classes 
import javax.swing.tree.*;           // TreeModel and related classes
import javax.swing.event.*;          // Tree-related event classes
import java.io.*;                    // For reading the input XML file
import java.awt.*;
import java.net.*;

import net.metadiversity.diversity.navigator.applet.Newick;

/**
 *
 * @author  didi
 */
public class TestApplet extends javax.swing.JApplet 
{
    Newick nw = null;
    
    java.net.URL url;
    
    public TestApplet() 
    {
        
        getRootPane().putClientProperty( "defeatSystemEventQueueCheck", Boolean.TRUE );
/*        
        try
        {
            url = new java.net.URL( "http::/home/didi/derekNewick1.xml" );            
            InputStream is = url.openStream();
            
            int c;
            while( true )
            {
                c = is.read();
                System.out.print( c );
            }
        }
        catch( Exception e ) 
        {
            System.out.println( e );
        }
*/      
        try
        {
            nw = new Newick();
        }
        catch( java.io.IOException ex ) 
        { 
            System.out.println( ex );
        }
        catch( org.xml.sax.SAXException ex )
        { 
            System.out.println( ex );
        }
    }
    
    public void start()
    {
        SwingUtilities.invokeLater( new Runnable() 
        {
            public void run()
            {
                System.out.println( getAppletInfo() );
                /*
                try
                {
                    URL     baseURL = new URL( "http://hongkong.didi.dn" );
                    String  urlFile = "Newick1.xml";
                    InputStream     file = ( new URL(baseURL, urlFile) ).openStream();
                    DataInputStream dis = new DataInputStream( file) ;

                    while( true )
                    {
                        String str = dis.readLine();
                        if( str != null )
                        System.out.print( str );
                    }
                    
                }
                catch( Exception e ) 
                {
                    System.out.println( e );
                }
                */
/*                 
                JPanel p = new JPanel();
                // p.setLayout( new javax.swing.GridLayout( 2,2,2,2 ) );
                p.add( new JLabel( "Mein Test Applet" ) );
                p.add( new JLabel( "... und ein weiterer label" ) );
                p.add( nw.getTree(), java.awt.BorderLayout.WEST );
                Container c = getContentPane();
                c.setLayout( new GridBagLayout() );
                c.add( p );
*/
                // getContentPane().add( nw.getTree() );
                getContentPane().add( new JScrollPane( nw.getTree() ) );
                getContentPane().setVisible( true );
                validate();
            }
        });
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() 
    {

    }
    
    
    // Variables declaration - do not modify
    // End of variables declaration
    
}
