#!/bin/sh
#
# Start Diversity Navigator
#
CLASSPATH=
classpath=

classpath=$classpath:./jar/AbsoluteLayout.jar
classpath=$classpath:./jar/axis.jar
classpath=$classpath:./jar/castor-xml.jar
classpath=$classpath:./jar/castor.jar
classpath=$classpath:./jar/commons-discovery.jar
classpath=$classpath:./jar/commons-logging.jar
classpath=$classpath:./jar/jaxrpc-api.jar
classpath=$classpath:./jar/jdbc-se2.0.jar
classpath=$classpath:./jar/jdom.jar
classpath=$classpath:./jar/jta1.0.1.jar
classpath=$classpath:./jar/log4j.jar
classpath=$classpath:./jar/pg73jdbc3.jar
classpath=$classpath:./jar/saaj.jar
classpath=$classpath:./jar/wsdl4j.jar
classpath=$classpath:./jar/xalan.jar
classpath=$classpath:./jar/xerces.jar
classpath=$classpath:./jar/xmlParserAPIs.jar
#
# use global CLASSPATH
# classpath=$CLASSPATH
#
# Diversity Naviator JAR 
classpath=$classpath:./diversity_navigator.jar
echo
echo "Use CLASSPATH: $classpath"
echo "Start DiversityNavigator ... "
#
# memory settings
#
# -Xms<size>        set initial Java heap size, The default value is 2MB
memset="-Xms8m"
#-Xmx<size>         set maximum Java heap size, The default value is 64MB
memset="$memset -Xmx128m"
#-Xss<size>        set java thread stack size
memset="$memset -Xss64m"
#
echo "memory settings: $memset"
#
# JAVA is in PATH
#
# java $memset -cp $classpath net.metadiversity.diversity.navigator.DiversityNavigator
#
# JAVA is not in PATH
#
/usr/lib/java/jre/bin/java $memset -cp $classpath net.metadiversity.diversity.navigator.DiversityNavigator
#
